org.eclipse.microprofile.config.tck.configsources

## Class DefaultConfigSourceOrdinalTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.config.tck.configsources.DefaultConfigSourceOrdinalTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class DefaultConfigSourceOrdinalTest
    extends org.jboss.arquillian.testng.Arquillian

Author:
  Emily Jiang

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`DefaultConfigSourceOrdinalTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `checkSetup()`
`static org.jboss.shrinkwrap.api.Archive` `deployment()`
`void` `testOrdinalForEnv()`
`void` `testOrdinalForSystemProps()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultConfigSourceOrdinalTest

    public DefaultConfigSourceOrdinalTest()

### Method Detail

#### deployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive deployment()

#### checkSetup

    @BeforeClass
    public void checkSetup()

#### testOrdinalForEnv

    public void testOrdinalForEnv()

#### testOrdinalForSystemProps

    public void testOrdinalForSystemProps()